{
  "name": "@jupyterlab/docmanager",
  "version": "4.0.11",
  "description": "JupyterLab - Document Manager",
  "homepage": "https://github.com/jupyterlab/jupyterlab",
  "bugs": {
    "url": "https://github.com/jupyterlab/jupyterlab/issues"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/jupyterlab/jupyterlab.git"
  },
  "license": "BSD-3-Clause",
  "author": "Project Jupyter",
  "sideEffects": [
    "style/**/*.css",
    "style/index.js"
  ],
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "style": "style/index.css",
  "directories": {
    "lib": "lib/"
  },
  "files": [
    "lib/*.d.ts",
    "lib/*.js.map",
    "lib/*.js",
    "style/**/*.css",
    "style/index.js",
    "src/**/*.{ts,tsx}"
  ],
  "scripts": {
    "build": "tsc -b",
    "build:test": "tsc --build tsconfig.test.json",
    "clean": "rimraf lib && rimraf tsconfig.tsbuildinfo",
    "docs": "typedoc src",
    "test": "jest",
    "test:cov": "jest --collect-coverage",
    "test:debug": "node --inspect-brk ../../node_modules/.bin/jest --runInBand",
    "test:debug:watch": "node --inspect-brk ../../node_modules/.bin/jest --runInBand --watch",
    "watch": "npm run test -- --watch"
  },
  "dependencies": {
    "@jupyterlab/apputils": "^4.1.11",
    "@jupyterlab/coreutils": "^6.0.11",
    "@jupyterlab/docregistry": "^4.0.11",
    "@jupyterlab/services": "^7.0.11",
    "@jupyterlab/statusbar": "^4.0.11",
    "@jupyterlab/translation": "^4.0.11",
    "@jupyterlab/ui-components": "^4.0.11",
    "@lumino/algorithm": "^2.0.1",
    "@lumino/coreutils": "^2.1.2",
    "@lumino/disposable": "^2.1.2",
    "@lumino/messaging": "^2.0.1",
    "@lumino/properties": "^2.0.1",
    "@lumino/signaling": "^2.1.2",
    "@lumino/widgets": "^2.3.0",
    "react": "^18.2.0"
  },
  "devDependencies": {
    "@jupyterlab/testing": "^4.0.11",
    "@types/jest": "^29.2.0",
    "jest": "^29.2.0",
    "rimraf": "~3.0.0",
    "typedoc": "~0.24.7",
    "typescript": "~5.0.4"
  },
  "publishConfig": {
    "access": "public"
  },
  "styleModule": "style/index.js"
}
